# What is charge temperature estimation

Charge temp estimation is a method of predicting the temperature of air moving past the intake valve into the cylinder from less than perfect measurements elsewhere. The temperature of the air entering the cylinder is what matters most for engine management but it is virtually impossible to measure because sensors can't be installed in the cylinder head and they take time to get a stable reading. Charge temp estimation seeks to make a better estimate than reading any one sensor present on the engine. Why not just read the temperature from an air temp sensor in a MAF or charge pipe? The air moving into the engine picks up heat from the engine bay, intake manifold, cylinder head before it actually enters the engine. This additional heat that the air soaks up isn't measured by the sensor. Charge temp estimation tries to mathematically model this extra heat soak to provide a better answer than the sensor alone can provide.

On a practical level, charge temp estimation works by taking an average of two sensors: air temperature (usually measuring the temperature of air entering the engine) and coolant temperature (measuring the temperature of the engine contributing to heat soak). Charge temp estimation is tuned by changing the bias, or how much each sensor contributes. At low load, less air is moving slowly into the engine. It has more opportunity to soak up heat from a hot engine and there are fewer moles of air to spread the heat out between. At higher engine loads, air velocity is higher and there are more moles of air moving by. There is less time for air to soak up heat and there are more moles to divide up heat. Generally, at lower loads coolant temperature has a higher bias to reflect air soaking up more heat from the engine. Generally, at higher airflows, air temperature has a higher bias because it has less time to soak up temperature from a hot engine.

Tuning a charge air temp table properly is a hard problem without heavy instrumentation and an engine dyno. However, understanding the basics of how it operates can help poke it in one direction or another. Generally, when air temp changes produce odd or inconsistent air fuel ratio changes the charge estimation model can be a useful tool to make more consistent operation.
