# How to add, change and test a page in the wiki

## Prerequisites

- A free login in GitHub

## Simplest approach to make a small change

- go to end of page and click on "Edit this page" link
- follow GitHub's instructions for ["Editing files in another user's repository".](https://docs.github.com/en/repositories/working-with-files/managing-files/editing-files#editing-files-in-another-users-repository)

## Best way to edit or add a larger number of pages

Get this:
[Github Desktop](https://desktop.github.com)

Clone the wiki repo
[Wiki Repo](https://github.com/FOME-Tech/wiki)

![image](Clone.JPG)

Get VScode:
[VSCode](https://code.visualstudio.com)

Open Wiki in VScode from github desktop
![image](VScode.JPG)

Start to edit the docs
![img](Docs.JPG)

Pages are creates with a right click and named ##-xxxx.md, they will show up as pages in the wiki.

Folders are creatable with a right click, they will show up like this in the wiki
![img](Folder.JPG)

To control ordering of topics in sidebar navigation the so called "numbered prefix" concept is used.
This concept is further explained in [linked section of Docusaurus user manual](https://docusaurus.io/docs/sidebar/autogenerated#using-number-prefixes)

To make images work the images need to be in the same folder as the .md, image names are also case sensitive so check capitals.

This markdown cheat sheet will tell you everything you need to format pages

[https://github.com/adam-p/markdown-here/wiki/Markdown-Cheatsheet](https://github.com/adam-p/markdown-here/wiki/Markdown-Cheatsheet)

Save your work and proceed to testing of change.

## How to test your changes

### Prerequisites for local test

- [Node.js](https://nodejs.org/en/download/) version 18 or above:
  - When installing Node.js, you are recommended to check all checkboxes related to dependencies.

### run Docusaurus locally

Change directory:

```bash
cd wiki
```

Install NodeJS dependencies:

```bash
npm install
```

Run the development server:

```bash
npm start
```

The `cd` command changes the directory you're working with. In order to work with your newly created Docusaurus site, you'll need to navigate the terminal there.

The `npm install` installs all the dependencies for your site. You'll need to run this command once when you first download the project, and again only if you `package-lock.json` file changes.

The `npm start` command builds your website locally and serves it through a development server, ready for you to view at [http://localhost:3000](http://localhost:3000).

Open `docs/13-How-to-edit-wiki.md` (this page) and edit some lines: the site **reloads automatically** and displays your changes.

### How to publish your change to wiki

in VScode and go to github desktop

It will ask you for a title, description and to commit the changes (see bottom left of picture)

![img](Commit.JPG)

Once that is done you can push your changes and they will get automatically updated to the wiki

![img](Push.JPG)

---

## How to structure

- Stuff!
- More stuff!
- Stuff that looks like stuff but isn't!

### Subtitle 1

#### Subtitle 2

##### Subtitle 3

### This kind of subtitle

You can also use like **this** **[link](https://fome.tech)**
